* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: Montserrat;
}

*::selection {
  background-color: #ffffff4f;
  color: #032d6d;
}

body {
  background-color: #1e2029;
  display: flex;
  flex-direction: column;
}

.header {
  align-self: flex-start;
  display: flex;
  padding: 0 10px;
  background-color: #2b2e38;
  justify-content: space-between;
  align-items: center;
  position: fixed;
  width: 100%;
  z-index: 900;
  height: 60px;
}

.header__left img {
  width: 70px;
}

.header__pc {
  display: none;
}

.header__right {
  cursor: pointer;
  font-size: 40px;
  color: #004ec5;
  z-index: 10000;
}

.header__close-icon {
  display: none;
  cursor: pointer;
  font-size: 48px;
  color: #004ec5;
}

.header__off-screen-menu {
  background-color: #20222e;
  height: 100vh;
  width: 100%;
  max-width: 300px;
  position: fixed;
  top: 0;
  right: -450px;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  font-size: 45px;
  transition: 0.3s ease;
  gap: 10px;
  padding: 100px;
}

.header__off-screen-menu a {
  color: #fff;
  text-decoration: none;
  font-size: 45px;
}

.header__off-screen-menu.active {
  right: 0;
}

.header__close-icon.active {
  display: block;
  z-index: 1000;
}

.header__right.hidden {
  display: none;
}

.main {
  height: 300px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding-top: 90px;
}

.main__title {
  color: #e0e0e0;
  font-size: 40px;
  font-weight: 800;
  font-family: Varela;
  text-shadow: 1px 1px 2px #0000008f;
}

.main__subtitle {
  color: #7c7b7b;
}

.content {
  display: flex;
  flex-direction: column;
  margin: 0 40px;
  gap: 15px;
}

.content__title {
  color: #115ac7;
  font-size: 35px;
  font-weight: 800;
  margin-bottom: 5px;
  text-shadow: 1px 1px 2px #0000008f;
}

.content__text {
  font-weight: 600;
  margin-bottom: 20px;
  line-height: 1.6;
  color: #c1c1c1;
  text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.8);
}

.content__text a {
  color: #5a7bdc;
  text-decoration: underline;
}

.footer {
  margin-top: 20px;
  width: 100%;
  height: 100px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

.footer__social {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 15px;
}

.footer__social i {
  font-size: 24px;
  color: #c1c1c1;
}

.footer__text p {
  color: #e0e0e0;
  font-weight: 500;
  margin-bottom: 20px;
}

@media (min-width: 700px) {
  .main__title {
    font-size: 64px;
  }

  .main__subtitle {
    font-size: 32px;
  }

  .content {
    flex-direction: row;
  }
}

@media (min-width: 1100px) {
  .header__pc {
    display: flex;
    flex-direction: row;
    gap: 20px;
    align-items: center;
    justify-content: space-around;
  }

  .header__right {
    display: none;
  }

  .header__close-icon {
    display: none;
  }

  .header__pc-link {
    font-weight: 650;
    font-size: 17px;
    color: #004ec5;
    text-decoration: none;
    transition: 0.1s ease-out;
  }

  .header__pc-link:hover {
    color: #0040a0;
  }

  .header__left {
    transition: all 0.2s ease-in-out;
  }

  .header__left:hover {
    transform: scale(1.1);
  }

  .content {
    margin: 10px 70px;
  }

  .content__link {
    transition: all 0.2s ease-in-out;
  }

  .content__link:hover {
    color: #374f97;
  }

  .footer__social {
    gap: 20px;
  }

  .footer__social a {
    transition: all 0.2s ease-in-out;
  }

  .footer__social a:hover {
    transform: scale(1.1);
  }
}
